Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class ContextPermission

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--com.ibm.aglets.security.AgletsPermissionBase
                  |
                  +--com.ibm.aglets.security.ContextPermission

All Implemented Interfaces:
  java.security.Guard, java.io.Serializable

public class ContextPermission
extends AgletsPermissionBase

See Also:
  Serialized Form

Fields inherited from class com.ibm.aglets.security.AgletsPermissionBase
`CHAR_ASTERISK, CHAR_COLON, CHAR_COMMA, CHAR_DOT, CHAR_HYPHEN, CHAR_SLASH, SEPARATOR, SEPARATORS, STRING_ASTERISK, STRING_COLON, STRING_COMMA, STRING_DOT, STRING_HYPHEN, STRING_SLASH, STRING_WILDCARD`

Constructor Summary
`ContextPermission(java.lang.String name, java.lang.String actions)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getActions()`
`int` | `hashCode()`
`boolean` | `implies(java.security.Permission p)`

Methods inherited from class com.ibm.aglets.security.AgletsPermissionBase
`checkAglet, concat, concat, concat, concat, includes, includes, matches, matches, matches, matches, qsort, select, select, split, split`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Guard
`checkGuard`

Constructor Detail

### ContextPermission

    public ContextPermission(java.lang.String name,
                             java.lang.String actions)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.security.Permission`

### getActions

    public java.lang.String getActions()

  Overrides:
    `getActions` in class `java.security.Permission`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.security.Permission`

### implies

    public boolean implies(java.security.Permission p)

  Overrides:
    `implies` in class `java.security.Permission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD